Package org.kapott.hbci.GV_Result

## Class GVRFestCondList

- java.lang.Object
- - org.kapott.hbci.GV_Result.HBCIJobResultImpl
  - - org.kapott.hbci.GV_Result.GVRFestCondList

All Implemented Interfaces:
  `java.io.Serializable`, `HBCIJobResult`

    public final class GVRFestCondList
    extends HBCIJobResultImpl

Rückgabedaten für die Abfrage von Festgeld-Konditionen. Es wird eine Liste mit empfangenen Konditionen bereitgestellt. Für jeden Datensatz wird ein separates Objekt mit den entsprechenden Informationen bereitgestellt.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `GVRFestCondList.Cond` Informationen über eine mögliche Kondition für Festgeldanlagen

### Field Summary

### Fields inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`globStatus, jobStatus`

### Constructor Summary

Constructors
`GVRFestCondList()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addEntry​(GVRFestCondList.Cond entry)`
`GVRFestCondList.Cond[]` `getEntries()` Gibt alle gefundenen Festgeldkonditionen als Array zurück
`java.lang.String` `toString()`

### Methods inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`getDialogId, getGlobStatus, getJobId, getJobStatus, getMsgNum, getParentJob, getPassport, getResultData, getRetNumber, getRetVal, getSegNum, isOK, setParentJob, storeResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GVRFestCondList

    public GVRFestCondList()

### Method Detail

#### addEntry

    public void addEntry​(GVRFestCondList.Cond entry)

#### getEntries

    public GVRFestCondList.Cond[] getEntries()

Gibt alle gefundenen Festgeldkonditionen als Array zurück

Returns:
  Array mit Festgeldkonditionen

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `HBCIJobResultImpl`